Skip to main content
Version: API v1

Menu generation

GET/v1/menu
API version
v1
Request method
GET
Operation ID
getNavigation

Get the data for the menu of the customer login

Request​

Responses​

Format
application/json
Description

The menu result

  • *
Content-Type: application/json

null
{
"$ref": "#/components/schemas/MainMenu"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/menu?forceMittwaldVersion=true&skipCache=true&onlyRootLevel=true

On this page